# Uses of Class
org.eclipse.swt.custom.LineBackgroundEvent

Packages that use LineBackgroundEvent
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.swt.custom
SWT Custom widgets.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.

## Uses of LineBackgroundEvent in org.eclipse.jface.text

Methods in org.eclipse.jface.text with parameters of type LineBackgroundEvent
Modifier and Type
Method
Description
`void`
CursorLinePainter.`lineGetBackground(LineBackgroundEvent event)`

## Uses of LineBackgroundEvent in org.eclipse.swt.custom

Methods in org.eclipse.swt.custom with parameters of type LineBackgroundEvent
Modifier and Type
Method
Description
`void`
LineBackgroundListener.`lineGetBackground(LineBackgroundEvent event)`
This method is called when a line is about to be drawn in order to get its background color.

## Uses of LineBackgroundEvent in org.eclipse.ui.console

Methods in org.eclipse.ui.console with parameters of type LineBackgroundEvent
Modifier and Type
Method
Description
`void`
TextConsoleViewer.`lineGetBackground(LineBackgroundEvent event)`